cat("\014") # clear console
rm(list=ls()); # remove all objects from workspace
# dev.off() # clear plots (turn off graphing window)
Sys.setenv(TZ='Utc') 



# PLOTS IN BASE R

data(iris)


# SCATTERPLOT

# First two arguments are numeric vectors of equal length
plot(x = iris$Sepal.Length, y = iris$Petal.Width)

# Other arguments:

# cex: point size
# xlim and ylim: limits of the X and Y axis
# pch: shape of markers. See all here.
# xlab and ylab: X and Y axis labels
# col: marker color
# main: chart title

plot(x = iris$Sepal.Length, y = iris$Petal.Width,
     cex = 1.0,
     pch = 15,
     xlab = 'Sepal Length',
     ylab = 'Petal Width',
     col = 'blue',
     main = 'Title')


# HISTOGRAM
hist(iris$Sepal.Length)

# Other arguments:
# labeling arguments same as above
# breaks: number of bars displayed

hist(iris$Sepal.Length, breaks = 30, col = 'skyblue1', xlab = 'Sepal Length', main = 'Sepal Length Histogram')


# Boxplot

boxplot(iris$Sepal.Length, iris$Sepal.Width, iris$Petal.Width,col = 'skyblue1', names = c('Sepal Length', 'Sepal Width', 'Petal Width'))



# Barplot 
iris2 <- tally(group_by(iris, Species))
barplot(height = iris2$n, names = iris2$Species)



# Plot to external window by plotting after using windows()
windows(1000,1000)



png(800,800, filename = 'example.png')
plot(x = iris$Sepal.Length, y = iris$Petal.Width,
     cex = 1.0,
     pch = 15,
     xlab = 'Sepal Length',
     ylab = 'Petal Width',
     col = 'blue',
     main = 'Title')
dev.off()


